Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.owasp.dependencycheck.data.nvdcve
Class NvdCve12Handler

    java.lang.Object
      org.xml.sax.helpers.DefaultHandler
          org.owasp.dependencycheck.data.nvdcve.NvdCve12Handler

All Implemented Interfaces:
  ContentHandler, DTDHandler, EntityResolver, ErrorHandler

    public class NvdCve12Handler

extends org.xml.sax.helpers.DefaultHandler

A SAX Handler that will parse the NVD CVE XML (schema version 1.2). This parses the xml and retrieves a listing of CPEs that have previous versions specified. The previous version information is not in the 2.0 version of the schema and is useful to ensure accurate identification (or at least complete).

Author:
  Jeremy Long (jeremy.long@owasp.org)

Nested Class Summary
`protected static class` | `NvdCve12Handler.Element` A simple class to maintain information about the current element while parsing the NVD CVE XML.

Constructor Summary
`NvdCve12Handler()`

Method Summary
`void` | `endElement(String uri, String localName, String qName)`
`Map<String,List<VulnerableSoftware>>` | `getVulnerabilities()` Get the value of vulnerabilities.
`void` | `startElement(String uri, String localName, String qName, Attributes attributes)`

Methods inherited from class org.xml.sax.helpers.DefaultHandler
`characters, endDocument, endPrefixMapping, error, fatalError, ignorableWhitespace, notationDecl, processingInstruction, resolveEntity, setDocumentLocator, skippedEntity, startDocument, startPrefixMapping, unparsedEntityDecl, warning`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NvdCve12Handler

    public NvdCve12Handler()

Method Detail

### getVulnerabilities

    public Map<String,List<VulnerableSoftware>> getVulnerabilities()

  Get the value of vulnerabilities.

  Returns:
    the value of vulnerabilities

### startElement

    public void startElement(String uri,
                             String localName,
                             String qName,
                             Attributes attributes)
                      throws SAXException

  Specified by:
    `startElement` in interface `ContentHandler`
  Overrides:
    `startElement` in class `org.xml.sax.helpers.DefaultHandler`
  Throws:
    `SAXException`

### endElement

    public void endElement(String uri,
                           String localName,
                           String qName)
                    throws SAXException

  Specified by:
    `endElement` in interface `ContentHandler`
  Overrides:
    `endElement` in class `org.xml.sax.helpers.DefaultHandler`
  Throws:
    `SAXException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012-2013 OWASP. All Rights Reserved.